Query Extension Information
Query the detailed information of an extension.
Request URL
GET {base_url}/{api_path}/extension/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of an extension.Note:You can query extension's ID using Search Specific Extensions. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object <Ext_DetailInfo> | The detailed information of an extension. |
Ext_DetailInfo
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Extension ID. |
| type | String | Extension type.
|
| avatar | String | The file ID of the extension's avatar. Note: This parameter returns an empty string if the system default avatar is used. |
| first_name | String | First name. |
| last_name | String | Last name. |
| email_addr | String | Email address. |
| mobile_number | String | Mobile number. |
| organization_list | Array <Organization_Info> | The organization(s) to which the extension belongs. |
| role_id | Integer | The ID of the user role. |
| title | String | The job title of the extension user. |
| email_language | String | The language of email notifications for the extension.
|
| user_lang | String | The language of the system prompts heard by the extension during a call.
|
| vm_lang | String | The language of the system prompts heard by caller when they access the extension's voicemail box.
|
| number | String | Extension number. |
| caller_id | String | Caller ID. |
| reg_name | String | Registration name. |
| reg_password | String | Registration password.Note:For security reasons, the registration password is not returned. You can retrieve the password using the Query Password of an Extension interface. |
| concurrent_registrations | Integer | SIP endpoint concurrent registrations.
|
| presence_status | String | Default extension presence.
|
| custom_presence_status | String | Custom extension presence. |
| presence_list | Array <Presence_Setting> | The list of the presence settings. |
| agent_id | String | The agent ID that will be announced in the greeting prompt to callers when their inbound calls are answered by queue agent. By default, the extension number will be announced. |
| enb_vm | Integer | Whether the voicemail is enabled.
|
| enb_vm_pin | Integer | Whether the voicemail PIN authentication is enabled.
|
| vm_pin | String | The PIN code to access voicemail. |
| new_vm_notification | String | Whether the extension user will be notified when receiving a new voicemail message, and how to notify.
|
| vm_after_notification | String | How to deal with the voicemail message after sending an email to notify the extension.
|
| enb_vm_play_datetime | Integer | Whether to announce the message arrival time before playing the voicemail message.
|
| vm_play_time_format | String | The time format for announcing the message arrival time.
|
| enb_all_busy_mode_for_endpoints | Integer | Whether new incoming calls will be forwarded to the Busy destination when any endpoint registered to the extension is busy on a call.
|
| enb_all_reject_mode_for_endpoints | Integer | Whether other endpoints will stop ringing when the incoming call is rejected on one of the endpoints (with the extension registered).
|
| dtmf_mode | String | DTMF mode.
|
| transport | String | Transport protocol.
|
| enb_qualify | Integer | Whether the Qualify is enabled.
|
| enb_t38_support | Integer | Whether the T.38 fax is enabled.
|
| enb_nat | Integer | Whether the NAT is enabled.
|
| enb_srtp | Integer | Whether the SRTP is enabled.
|
| allow_reg_remotely | Integer | Whether the remote registration is enabled.
|
| disable_outb_call | Integer | Whether outbound call is allowed.
|
| disable_outb_call_outside_business_hours | Integer | Whether outbound call outside Business Hours is allowed.
|
| disable_international_call | Integer | Whether international call is allowed.
|
| max_outb_call_duration | Integer | The maximum call duration of an outbound call made from the extension.
|
| outbound_route_permission | Array <Integer> | The unique ID(s) of outbound route(s) that the extension is allowed to use. |
| enb_mobile_client | Integer | Whether the Simu Connect Mobile Client is enabled.
|
| enb_web_client | Integer | Whether the Simu Connect Web Client is enabled.
|
| enb_desktop_client | Integer | Whether the Simu Connect Desktop Client is enabled.
|
| enb_pad_client | Integer | Whether the Simu Connect Pad Client (SDK) is enabled.
|
| enb_internal_client | Integer | Reserved. |
| simuconnect_mobile_codec | String | Codec for Simu Connect Mobile Client.
|
| enb_ice | String | Whether ICE (Interactive Connectivity Establishment) is enabled for Simu Connect Mobile Client.
|
| client_conf_list | Array <Simu Connect_Clients_Setting> | The list of the Simu Connect Clients settings. |
| moh | String | The name of the MoH (Music on Hold) playlist whose audio is played when the extension user places a call on hold. |
| call_forward_moh | String | The name of the MoH (Music on Hold) playlist whose audio is played for the caller when the call is forwarded to another destination. |
| ringback_tone_moh | String | The filename of custom prompt played for the caller before the extension user answers the call. |
| vm_greeting | String | The filename of the voicemail greeting. |
Organization_Info
| Parameter | Type | Description |
|---|---|---|
| text | String | The name of the organization to which the extension belongs. |
| value | String | The unique ID of the organization. |
Presence_Setting
| Parameter | Type | Description |
|---|---|---|
| status | String | Extension presence.
|
| enb_in_always_forward | Integer | Whether internal incoming calls will always be forwarded to a specific destination (Always condition).
|
| in_always_forward_dest | String | The destination type for internal call forwarding in Always condition.
|
| in_always_forward_prefix | String | The parameter returns different values depending on the destination type for internal call forwarding in Always condition.
|
| in_always_forward_value | String | The destination for internal call forwarding in Always condition.
|
| in_always_forward_num | String | The external number of the external_num destination for internal call forwarding in Always condition. |
| enb_in_no_answer_forward | Integer | Whether internal incoming calls will be forwarded to a specific destination when the calls are not answered (No Answer condition).
|
| in_no_answer_forward_dest | String | The destination type for internal call forwarding in No Answer condition.
|
| in_no_answer_forward_prefix | String | The parameter returns different values depending on the destination type for internal call forwarding in No Answer condition.
|
| in_no_answer_forward_value | String | The destination for internal call forwarding in No Answer condition.
|
| in_no_answer_forward_num | String | The external number of the external_num destination for internal call forwarding in No Answer condition. |
| enb_in_busy_forward | Integer | Whether internal incoming calls will be forwarded to a specific destination when the extension is busy (Busy condition).
|
| in_busy_forward_dest | String | The destination type for internal call forwarding in Busy condition.
|
| in_busy_forward_prefix | String | The parameter returns different values depending on the destination type for internal call forwarding in Busy condition.
|
| in_busy_forward_value | String | The destination for internal call forwarding in Busy condition.
|
| in_busy_forward_num | String | The external number of the external_num destination for internal call forwarding in Busy condition. |
| enb_ex_always_forward | Integer | Whether external incoming calls will always be forwarded to a specific destination (Always condition).
|
| ex_always_forward_dest | String | The destination type for external call forwarding in Always condition.
|
| ex_always_forward_prefix | String | The parameter returns different values depending on the destination type for external call forwarding in Always condition.
|
| ex_always_forward_value | String | The destination for external call forwarding in Always condition.
|
| ex_always_forward_num | String | The external number of the external_num destination for external call forwarding in Always condition. |
| enb_ex_no_answer_forward | Integer | Whether external incoming calls will be forwarded to a specific destination when the calls are not answered (No Answer condition).
|
| ex_no_answer_forward_dest | String | The destination type for external call forwarding in No Answer condition.
|
| ex_no_answer_forward_prefix | String | The parameter returns different values depending on the destination type for external call forwarding in No Answer condition.
|
| ex_no_answer_forward_value | String | The destination for external call forwarding in No Answer condition.
|
| ex_no_answer_forward_num | String | The external number of the external_num destination for external call forwarding in No Answer condition. |
| enb_ex_busy_forward | Integer | Whether external incoming calls will be forwarded to a specific destination when the extension is busy (Busy condition). |
| ex_busy_forward_dest | String | The destination type for external call forwarding in Busy condition.
|
| ex_busy_forward_prefix | String | The parameter returns different values depending on the destination type for external call forwarding in Busy condition.
|
| ex_busy_forward_value | String | The destination for external call forwarding in Busy condition.
|
| ex_busy_forward_num | String | The external number of the external_num destination for external call forwarding in Busy condition. |
| ring_timeout | Integer | The ringing timeout for incoming calls (Unit: Second). |
| enb_ring_mobile | Integer | Whether the mobile phone will ring simultaneously when the extension rings.
|
| mobile_prefix | String | The dial-out prefix of the mobile number for the "Ring the Mobile Number Simultaneously" feature. |
| mobile_number | String | Mobile number. |
| enb_accept_call_from_rg | Integer | Whether incoming calls from ring group are accepted when the extension is in specific presence status.
|
| vm_greeting | String | The filename of the voicemail greeting. |
Simu_Connect_Clients_Setting
| Parameter | Type | Description |
|---|---|---|
| id | Integer | Simu Connect Client ID. |
| client | String | Simu Connect Client type.
|
| enb_call_waiting | Integer | Whether a second call can be received while the extension is already on the phone.
|
| enb_auto_answer | Integer | Whether non-paging/intercom calls to the extension will be automatically answered.
|
| auto_answer_delay_time | Integer | The amount of time in seconds that callers have to wait before their non-paging/intercom calls are auto-answered.Note:0 indicates that incoming call will be auto-answered immediately. |
| enb_auto_answer_tone | Integer | Whether a tone will be played to alert the extension when a non-paging/intercom call is automatically answered.
|
| enb_auto_answer_paging | Integer | Whether paging/intercom calls to the extension will be automatically answered.
|
| enb_auto_answer_paging_barge | Integer | Whether paging/intercom calls to the extension will be automatically answered when the extension is already on the phone.
|
| enb_auto_answer_paging_tone | Integer | Whether a tone will be played to alert the extension when a paging/intercom call is automatically answered.
|
| call_pop_switch | Integer | Whether automatic call popup will be triggered to display customer data when the extension receives an incoming call.
|
| open_contact_url | String | The third-party URL for the call popup. |
| notify_when | String | When the call popup will be automatically triggered.
|
| communication_type_list | Array<String> | Which types of calls will trigger the call popup.
|
| max_clients | Integer | The maximum number of Simu Connect Clients that can be simultaneously logged in to the extension.
|
Examples
Request example
Query the detailed information of extension (ID: 39).
GET /openapi/v1.0/extension/get?id=39&access_token=q0GyBcsgO8FsXWxPpzAJVW33vd0OpnUz Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 39,
"first_name": "Leo",
"last_name": "Ball",
"email_addr": "leo@sample.com",
"mobile_number": "15880123456",
"role_id": 1,
"caller_id": "2000",
"title": "",
"reg_name": "2000",
"reg_password": "",
"concurrent_registrations": 1,
"type": "SIP",
"number": "2000",
"dtmf_mode": "rfc4733",
"enb_nat": 1,
"enb_qualify": 1,
"enb_srtp": 0,
"enb_t38_support": 0,
"transport": "udp",
"enb_vm": 1,
"enb_vm_pin": 1,
"vm_pin": "6666",
"vm_lang": "sound-zh",
"user_lang": "sound-en",
"new_vm_notification": "with_attach",
"vm_after_notification": "delete",
"allow_reg_remotely": 1,
"disable_international_call": 0,
"disable_outb_call_outside_business_hours": 0,
"disable_outb_call": 0,
"enb_mobile_client": 1,
"enb_desktop_client": 1,
"enb_web_client": 1,
"enb_pad_client": 1,
"enb_internal_client": 0,
"presence_status": "available",
"custom_presence_status": "Available (Work)",
"agent_id": "5630",
"presence_list": [
{
"status": "available",
"enb_in_always_forward": 0,
"in_always_forward_dest": "ext_vm",
"in_always_forward_prefix": "",
"in_always_forward_value": "",
"in_always_forward_num": "",
"enb_in_no_answer_forward": 1,
"in_no_answer_forward_dest": "extension",
"in_no_answer_forward_prefix": "",
"in_no_answer_forward_value": "2",
"in_no_answer_forward_num": "",
"enb_in_busy_forward": 1,
"in_busy_forward_dest": "ext_vm",
"in_busy_forward_prefix": "",
"in_busy_forward_value": "",
"in_busy_forward_num": "",
"enb_ex_always_forward": 0,
"ex_always_forward_dest": "ext_vm",
"ex_always_forward_prefix": "",
"ex_always_forward_value": "",
"ex_always_forward_num": "",
"enb_ex_no_answer_forward": 1,
"ex_no_answer_forward_dest": "ivr",
"ex_no_answer_forward_prefix": "",
"ex_no_answer_forward_value": "1",
"ex_no_answer_forward_num": "",
"enb_ex_busy_forward": 1,
"ex_busy_forward_dest": "end_call",
"ex_busy_forward_prefix": "",
"ex_busy_forward_value": "",
"ex_busy_forward_num": "",
"enb_ring_mobile": 1,
"mobile_prefix": "",
"mobile_number": "123123123",
"ring_timeout": 30,
"enb_accept_call_from_rg": 1,
"vm_greeting": "vm_welcome.wav"
},
{
"status": "away",
"enb_in_always_forward": 0,
"in_always_forward_dest": "ext_vm",
"in_always_forward_prefix": "",
"in_always_forward_value": "",
"in_always_forward_num": "",
"enb_in_no_answer_forward": 1,
"in_no_answer_forward_dest": "ring_group",
"in_no_answer_forward_prefix": "",
"in_no_answer_forward_value": "1",
"in_no_answer_forward_num": "",
"enb_in_busy_forward": 1,
"in_busy_forward_dest": "queue",
"in_busy_forward_prefix": "",
"in_busy_forward_value": "1",
"in_busy_forward_num": "",
"enb_ex_always_forward": 0,
"ex_always_forward_dest": "ext_vm",
"ex_always_forward_prefix": "",
"ex_always_forward_value": "",
"ex_always_forward_num": "",
"enb_ex_no_answer_forward": 1,
"ex_no_answer_forward_dest": "group_vm",
"ex_no_answer_forward_prefix": "",
"ex_no_answer_forward_value": "1",
"ex_no_answer_forward_num": "",
"enb_ex_busy_forward": 1,
"ex_busy_forward_dest": "play_greeting",
"ex_busy_forward_prefix": "5",
"ex_busy_forward_value": "demo.wav",
"ex_busy_forward_num": "",
"enb_ring_mobile": 0,
"mobile_prefix": "",
"mobile_number": "123123123",
"ring_timeout": 30,
"enb_accept_call_from_rg": 0,
"vm_greeting": "vm_away.wav"
},
{
"status": "business_trip",
"enb_in_always_forward": 0,
"in_always_forward_dest": "ext_vm",
"in_always_forward_prefix": "",
"in_always_forward_value": "",
"in_always_forward_num": "",
"enb_in_no_answer_forward": 1,
"in_no_answer_forward_dest": "mobile_number",
"in_no_answer_forward_prefix": "123",
"in_no_answer_forward_value": "",
"in_no_answer_forward_num": "",
"enb_in_busy_forward": 1,
"in_busy_forward_dest": "external_num",
"in_busy_forward_prefix": "543",
"in_busy_forward_value": "",
"in_busy_forward_num": "5235235235",
"enb_ex_always_forward": 0,
"ex_always_forward_dest": "ext_vm",
"ex_always_forward_prefix": "",
"ex_always_forward_value": "",
"ex_always_forward_num": "",
"enb_ex_no_answer_forward": 1,
"ex_no_answer_forward_dest": "ext_vm",
"ex_no_answer_forward_prefix": "",
"ex_no_answer_forward_value": "",
"ex_no_answer_forward_num": "",
"enb_ex_busy_forward": 1,
"ex_busy_forward_dest": "group_vm",
"ex_busy_forward_prefix": "",
"ex_busy_forward_value": "1",
"ex_busy_forward_num": "",
"enb_ring_mobile": 0,
"mobile_prefix": "",
"mobile_number": "123123123",
"ring_timeout": 30,
"enb_accept_call_from_rg": 0,
"vm_greeting": ""
},
{
"status": "do_not_disturb",
"enb_in_always_forward": 1,
"in_always_forward_dest": "ext_vm",
"in_always_forward_prefix": "",
"in_always_forward_value": "",
"in_always_forward_num": "",
"enb_in_no_answer_forward": 1,
"in_no_answer_forward_dest": "ext_vm",
"in_no_answer_forward_prefix": "",
"in_no_answer_forward_value": "",
"in_no_answer_forward_num": "",
"enb_in_busy_forward": 1,
"in_busy_forward_dest": "ext_vm",
"in_busy_forward_prefix": "",
"in_busy_forward_value": "",
"in_busy_forward_num": "",
"enb_ex_always_forward": 1,
"ex_always_forward_dest": "ext_vm",
"ex_always_forward_prefix": "",
"ex_always_forward_value": "",
"ex_always_forward_num": "",
"enb_ex_no_answer_forward": 1,
"ex_no_answer_forward_dest": "ext_vm",
"ex_no_answer_forward_prefix": "",
"ex_no_answer_forward_value": "",
"ex_no_answer_forward_num": "",
"enb_ex_busy_forward": 1,
"ex_busy_forward_dest": "ext_vm",
"ex_busy_forward_prefix": "",
"ex_busy_forward_value": "",
"ex_busy_forward_num": "",
"enb_ring_mobile": 0,
"mobile_prefix": "",
"mobile_number": "123123123",
"ring_timeout": 30,
"enb_accept_call_from_rg": 0,
"vm_greeting": ""
},
{
"status": "lunch",
"enb_in_always_forward": 0,
"in_always_forward_dest": "ext_vm",
"in_always_forward_prefix": "",
"in_always_forward_value": "",
"in_always_forward_num": "",
"enb_in_no_answer_forward": 1,
"in_no_answer_forward_dest": "ext_vm",
"in_no_answer_forward_prefix": "",
"in_no_answer_forward_value": "",
"in_no_answer_forward_num": "",
"enb_in_busy_forward": 1,
"in_busy_forward_dest": "ext_vm",
"in_busy_forward_prefix": "",
"in_busy_forward_value": "",
"in_busy_forward_num": "",
"enb_ex_always_forward": 0,
"ex_always_forward_dest": "ext_vm",
"ex_always_forward_prefix": "",
"ex_always_forward_value": "",
"ex_always_forward_num": "",
"enb_ex_no_answer_forward": 1,
"ex_no_answer_forward_dest": "ext_vm",
"ex_no_answer_forward_prefix": "",
"ex_no_answer_forward_value": "",
"ex_no_answer_forward_num": "",
"enb_ex_busy_forward": 1,
"ex_busy_forward_dest": "ext_vm",
"ex_busy_forward_prefix": "",
"ex_busy_forward_value": "",
"ex_busy_forward_num": "",
"enb_ring_mobile": 0,
"mobile_prefix": "",
"mobile_number": "123123123",
"ring_timeout": 30,
"enb_accept_call_from_rg": 0,
"vm_greeting": "vm_away.wav"
},
{
"status": "off_work",
"enb_in_always_forward": 0,
"in_always_forward_dest": "ext_vm",
"in_always_forward_prefix": "",
"in_always_forward_value": "",
"in_always_forward_num": "",
"enb_in_no_answer_forward": 1,
"in_no_answer_forward_dest": "ext_vm",
"in_no_answer_forward_prefix": "",
"in_no_answer_forward_value": "",
"in_no_answer_forward_num": "",
"enb_in_busy_forward": 1,
"in_busy_forward_dest": "ext_vm",
"in_busy_forward_prefix": "",
"in_busy_forward_value": "",
"in_busy_forward_num": "",
"enb_ex_always_forward": 0,
"ex_always_forward_dest": "ext_vm",
"ex_always_forward_prefix": "",
"ex_always_forward_value": "",
"ex_always_forward_num": "",
"enb_ex_no_answer_forward": 1,
"ex_no_answer_forward_dest": "ext_vm",
"ex_no_answer_forward_prefix": "",
"ex_no_answer_forward_value": "",
"ex_no_answer_forward_num": "",
"enb_ex_busy_forward": 1,
"ex_busy_forward_dest": "ext_vm",
"ex_busy_forward_prefix": "",
"ex_busy_forward_value": "",
"ex_busy_forward_num": "",
"enb_ring_mobile": 0,
"mobile_prefix": "",
"mobile_number": "123123123",
"ring_timeout": 30,
"enb_accept_call_from_rg": 0,
"vm_greeting": "vm_holiday.wav"
}
],
"enb_all_reject_mode_for_endpoints": 1,
"simuconnect_mobile_codec": "g729",
"enb_ice": "no",
"client_conf_list": [
{
"id": 13,
"client": "simuconnectweb",
"enb_call_waiting": 1,
"enb_auto_answer": 0,
"auto_answer_delay_time": 0,
"enb_auto_answer_tone": 1,
"enb_auto_answer_paging": 0,
"enb_auto_answer_paging_barge": 0,
"enb_auto_answer_paging_tone": 1,
"call_pop_switch": 0,
"open_contact_url": "https://web/solve.360.com/{{.CallerNumber}}&{{.CallerDisplayName}}",
"notify_when": "ringing",
"communication_type_list": [
"inbound"
],
"max_clients": 1
},
{
"id": 14,
"client": "simuconnectdesktop",
"enb_call_waiting": 1,
"enb_auto_answer": 0,
"auto_answer_delay_time": 0,
"enb_auto_answer_tone": 1,
"enb_auto_answer_paging": 0,
"enb_auto_answer_paging_barge": 0,
"enb_auto_answer_paging_tone": 1,
"call_pop_switch": 0,
"open_contact_url": "",
"notify_when": "",
"communication_type_list": null,
"max_clients": 1
},
{
"id": 32,
"client": "simuconnectmobile",
"enb_call_waiting": 0,
"enb_auto_answer": 1,
"auto_answer_delay_time": 5,
"enb_auto_answer_tone": 1,
"enb_auto_answer_paging": 1,
"enb_auto_answer_paging_barge": 1,
"enb_auto_answer_paging_tone": 1,
"call_pop_switch": 0,
"open_contact_url": "",
"notify_when": "",
"communication_type_list": null,
"max_clients": 2
}
],
"enb_vm_play_datetime": 0,
"vm_play_time_format": "follow_system",
"email_language": "follow_system",
"max_outb_call_duration": -1,
"enb_all_busy_mode_for_endpoints": 0,
"avatar": "myYtwrWoRmxBeyGrd0ff1e60-2b53-4d17-8a13-736923dab108",
"moh": "SoftBreeze",
"call_forward_moh": "follow_system",
"ringback_tone_moh": "Welcome.wav",
"vm_greeting": "Artificial.wav"
}
}